Regsiter a Feed Webhook
curl --request POST \
--url https://api.clicker.xyz/v1/webhooks/feed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"walletAddresses": [
"0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"
],
"destinationUrl": "<string>"
}
'import requests
url = "https://api.clicker.xyz/v1/webhooks/feed"
payload = {
"walletAddresses": ["0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252"],
"destinationUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
walletAddresses: ['0xa4e221aa5a7ba51b5d5c7d5c923bfb9bcebcb252'],
destinationUrl: '<string>'
})
};
fetch('https://api.clicker.xyz/v1/webhooks/feed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"destinationUrl": "<string>",
"uid": "<string>",
"secret": "<string>"
}{
"error": "<string>"
}Webhooks
Register Webhook
Register a new endpoint to receive webhook events containing feed items. This endpoint will respond with:
- a UID which identifies the webhook so that you can modify or delete it later
- a secret which you must use to verify requests that your endpoint receives. For more about how webhook signature verification works, see https://docs.daylight.xyz/reference/verifying-webhooks
Make sure to save both of these values, the secret will only be returned after creating a webhook.
If you need to register more than 1000 addresses as subscribers to your webhook, please create the webhook using this endpoint, and then use the PUT /v1/webhooks/feed/:uid endpoint to provide the addresses in chunks of 1000.
POST
/
v1
/
webhooks
/
feed
Regsiter a Feed Webhook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json